- Qt 6.7
- Qt Sensors
- C++ Classes
- QPressureReading
- Qt 6.7.0 Reference Documentation

# QPressureReading Class

The QPressureReading class holds readings from the pressure sensor. More...

Header: | #include <QPressureReading>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- pressure : const qreal
- temperature : const qreal

## Public Functions

qreal | pressure() const
void | setPressure(qreal pressure)
void | setTemperature(qreal temperature)
qreal | temperature() const

## Detailed Description

#### QPressureReading Units

The pressure sensor returns atmospheric pressure values in Pascals.

## Property Documentation

### `[read-only]` pressure : const qreal

This property holds the measured atmospheric pressure.

Returned as Pascals.

Access functions:

qreal | pressure() const

See also QPressureReading Units.

### `[read-only]` temperature : const qreal

This property holds the pressure sensor's temperature.

The temperature is returned in degree Celsius. This property, if supported, provides the pressure sensor die temperature. Note that this temperature may be (and usually is) different than the temperature reported from QAmbientTemperatureSensor. Use QSensor::isFeatureSupported() with the QSensor::PressureSensorTemperature flag to determine its availability.

Access functions:

qreal | temperature() const

## Member Function Documentation

### void QPressureReading::setPressure(qreal pressure)

Sets the pressure to pressure.

See also pressure().

### void QPressureReading::setTemperature(qreal temperature)

Sets the pressure sensor's temperature to temperature.

See also temperature().